View Issue Details

IDProjectCategoryView StatusLast Update
0000212MetaPostfeature requestpublic2009-05-11 11:12
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.200Fixed in Version 
Summary0000212: Allow internals inside outputtemplate
DescriptionFind a way to have automatic output extension selection in
  outputtemplate. Perhaps this trick to have an interface to
  the internal parameters would be nice?

    outputtemplate := "%j-%i.%{outputformat}"

  I don't want to allow macro expansion etc. inside, but directly
  reading the internal values seems like a nice generic approach,
  better than yet another %<asciichar> ?
Additional Information(%o already exists)
TagsNo tags attached.

Activities

Taco

2009-04-17 12:30

administrator   ~0000175

>
> The what about completely deprecating the %<asciichar> approach and
> introducing a indirection approach like you suggested above for
> arbitrary expressions? The mapping would be

Real expressions at that point would be hard an I am certainly
not in favor of that. But internal variables for 'hour' and 'minute'
would work, you could just 'newinternal' these.

(I don't mind adding core internals, but I don't want to spend
another day discussing names for them.)

> where the output of %[0-9]{} is padded with zeros and converted to a
> string on-the fly.

sure.

> For %j there is no internal variable present, but I hope it would be
> possible to introduce a new one called
>
> jobname

I could convert jobname into an internal variable, now that there are
string-based ones. I have to check, but my first guess is that that
can be done in a backward-compatible way.

Taco

2009-04-18 16:30

administrator   ~0000180

Implemented by 0000931 and 0000934.

The input format is as proposed above: there a new %{<internal>} replacement specifier.

Side-effects: the token "jobname" is now a string-valued internal,
and there are two new numeric internals: "hour" and "minute".

Issue History

Date Modified Username Field Change
2009-04-17 12:25 Taco New Issue
2009-04-17 12:30 Taco Note Added: 0000175
2009-04-17 12:45 Taco Status new => assigned
2009-04-17 12:45 Taco Assigned To => Taco
2009-04-18 16:30 Taco Status assigned => resolved
2009-04-18 16:30 Taco Resolution open => fixed
2009-04-18 16:30 Taco Note Added: 0000180
2009-04-20 13:14 Taco Target Version => 1.150
2009-04-21 19:07 Taco Target Version 1.150 => 1.200
2009-05-11 11:12 Taco Status resolved => closed